package biz.redsoft.sample;

import biz.redsoft.ncore.util.Misc;

import java.io.IOException;
import java.util.Arrays;
import java.util.Properties;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;


public class SampleTests {
  @Test
  public void testProductName() throws IOException {
    final Properties props = new Properties(System.getProperties());
    Misc.loadProperties(props, Arrays.asList("ncore-properties.xml", "ncore-properties-local.xml"));
    Assertions.assertEquals(props.getProperty("product.name"), "sample");
  }
}
